GET
https://api.cryptohopper.com/v1/exchange/{exchange}/currency
Returns the name of one currency in the same format as Get available currencies. It does not check whether the exchange lists that currency.
No access token needed.
Example request
curl "https://api.cryptohopper.com/v1/exchange/EXCHANGE/currency?coin=COIN" \
-H "access-token: YOUR_ACCESS_TOKEN"
const response = await fetch('https://api.cryptohopper.com/v1/exchange/EXCHANGE/currency?coin=COIN', {
method: 'GET',
headers: {
"access-token": "YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();
import requests
response = requests.get(
"https://api.cryptohopper.com/v1/exchange/EXCHANGE/currency",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
params={
"coin": "COIN"
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/exchange/EXCHANGE/currency?coin=COIN');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
],
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
exchange |
string | Required | Exchange key as returned by Get available exchanges, for example binance or kucoin. Case insensitive. |
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
coin |
string | Required | Currency code, for example BTC. Case insensitive. |
Response
{
"data": {
"id": "BTC",
"name": "Bitcoin",
"txFee": "",
"minConf": "",
"depositAddress": "",
"disabled": 0,
"delisted": 0,
"frozen": 0,
"notice": null
}
}